#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dhall
version:              1.42.1
visibility:           public
id:                   dhall-1.42.1-55FVornYsVx2Xm8RcpWONO
key:                  dhall-1.42.1-55FVornYsVx2Xm8RcpWONO
license:              BSD-3-Clause
copyright:            2017 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  36b9f0ee8a118e09cfb6ea9112714d72
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics
    Dhall.Package Dhall.Parser Dhall.Parser.Expression
    Dhall.Parser.Token Dhall.Pretty Dhall.Repl Dhall.Schemas Dhall.Set
    Dhall.Src Dhall.Substitution Dhall.TH Dhall.Tags Dhall.Tutorial
    Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.DirectoryTree.Types Dhall.Eval Dhall.Import.Types
    Dhall.Import.Headers Dhall.Marshal.Internal Dhall.Normalize
    Dhall.Parser.Combinators Dhall.Pretty.Internal Dhall.Syntax
    Dhall.Syntax.Binding Dhall.Syntax.Chunks Dhall.Syntax.Const
    Dhall.Syntax.Expr Dhall.Syntax.FunctionBinding Dhall.Syntax.Import
    Dhall.Syntax.Instances.Applicative Dhall.Syntax.Instances.Bifunctor
    Dhall.Syntax.Instances.Data Dhall.Syntax.Instances.Eq
    Dhall.Syntax.Instances.Foldable Dhall.Syntax.Instances.Functor
    Dhall.Syntax.Instances.Lift Dhall.Syntax.Instances.Monad
    Dhall.Syntax.Instances.NFData Dhall.Syntax.Instances.Ord
    Dhall.Syntax.Instances.Pretty Dhall.Syntax.Instances.Show
    Dhall.Syntax.Instances.Traversable Dhall.Syntax.MultiLet
    Dhall.Syntax.Operations Dhall.Syntax.RecordField Dhall.Syntax.Types
    Dhall.Syntax.Var Dhall.URL Paths_dhall Dhall.Import.HTTP
    Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.42.1-55FVornYsVx2Xm8RcpWONO
depends:
    Diff-0.4.1-644Hl6gJ6c41D4iXUJ55VB
    aeson-2.1.2.1-Ex7WnNUT1auEGSF1Md5zyM
    aeson-pretty-0.8.10-1uJm1j28f5UIXUnDLhHqi
    ansi-terminal-1.0-LkJ9SxmfbHcAL1Z7MEt8xc
    atomic-write-0.2.1.1-4ur9NkYLLa5KC2QtcL6OJn base-4.17.2.1
    base16-bytestring-1.0.2.0-IoYBHRVZawc2xOK7jNUhg3
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-71BYPVg6lDO17X4ot5DP2
    cborg-0.2.9.0-9bgRtzfSg9k21lzmhJNY3G
    cborg-json-0.2.5.0-2jJ7aGrL6Jb8zXh81AGsCE containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    cryptohash-sha256-0.11.102.1-1YGNufqiHeJ44BwudxxSOi
    data-fix-0.3.3-9NnK6iC67m6JCvsUdRFxYf deepseq-1.4.8.0
    directory-1.3.7.1 dotgen-0.4.3-DCEwHcGESGV7f7E3GHH98g
    either-5.0.2-1jAiSBODBovFXZR20wSJZx exceptions-0.10.5
    filepath-1.4.2.2 half-0.3.2-fH8vYvwoAC5LyFTrzZTai
    hashable-1.4.4.0-G3df7eBPFu1LRujEcYqf5c haskeline-0.8.2
    http-client-0.7.17-7FoGmHilSaNBsOApDiQmhp
    http-client-tls-0.3.6.4-1V2YjihKQe57spPR9YDllk
    http-types-0.12.4-J2cC46jaNLuKMsPC3BpucA
    indexed-traversable-0.1.4-8f2vw5hWmKz2VWvyLnYsit
    lens-family-core-2.1.3-Ij4qXDXH4U49wX5TL83dlV
    megaparsec-9.6.1-7Wx3qSFb3vpB15hbe2AAJD
    mmorph-1.2.0-3nIz0RIlBAUER45blfkK28 mtl-2.2.2
    network-uri-2.6.4.2-BIKL9TLrelsK4TaGh1MfNw
    optparse-applicative-0.17.1.0-3m15PZJ9R8tLZfnW85Yn0z
    parser-combinators-1.3.0-11YwG5dPNej79xqbn9HKav
    parsers-0.12.12-9BwrsDP3JpDKedhfp7gn2c
    pretty-simple-4.1.3.0-GFJRw7vkblVA0mcw8peoWv
    prettyprinter-1.7.1-5dDyiINWv3JvkTPn41dcY
    prettyprinter-ansi-terminal-1.1.3-CrDoL6rlO20GPbWZEwOwP7
    profunctors-5.6.2-IU8uhY6AyNx9Ydb4IDN78T
    repline-0.4.2.0-KVntTSpWnVfIRYxV1mly8a
    scientific-0.3.7.0-CCWbwGLTUrCAfmDn1czSkZ
    serialise-0.2.6.1-5T7A7r8LFU9IG1QfCSpSxT template-haskell-2.19.0.0
    text-2.0.2 text-manipulate-0.3.1.0-1u2p2wuU1tm7I7199hgaDv
    text-short-0.1.6-A1UaNKR98cRDeWGxTqeV6
    th-lift-instances-0.1.20-F8I1i6YYKUt5i2RNmywGFl time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unix-compat-0.7.3-7hkgNf7Xk8N43CTrctBpCt
    unordered-containers-0.2.20-EFINKuAnn2VCsrMAVqSNI6
    vector-0.13.1.0-KSX0XQMPS0MKwOGi5hYJAY

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

